Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(7)

Issue 7889024: Implementation of IDBFactory::getDatabaseNames (Closed)

Created:
7 years, 10 months ago by jsbell
Modified:
7 years, 10 months ago
CC:
hans, chromium-reviews
Visibility:
Public.

Description

Implementation of IDBFactory::getDatabaseNames WebKit side is: https://bugs.webkit.org/show_bug.cgi?id=68037 BUG=94439 TEST= Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=102743

Patch Set 1 #

Total comments: 3

Patch Set 2 : Chromium side of IDBFactory::getDatabaseNames #

Total comments: 1

Patch Set 3 : Alphabetized forward declarations, per review #

Patch Set 4 : Remove unnecessary #includes #

Unified diffs Side-by-side diffs Delta from patch set Stats (+154 lines, -0 lines) Patch
M content/browser/in_process_webkit/indexed_db_callbacks.h View 1 1 chunk +17 lines, -0 lines 0 comments Download
M content/browser/in_process_webkit/indexed_db_callbacks.cc View 1 1 chunk +12 lines, -0 lines 0 comments Download
M content/browser/in_process_webkit/indexed_db_dispatcher_host.h View 1 3 chunks +5 lines, -0 lines 0 comments Download
M content/browser/in_process_webkit/indexed_db_dispatcher_host.cc View 1 2 chunks +39 lines, -0 lines 0 comments Download
M content/common/indexed_db_messages.h View 1 3 chunks +17 lines, -0 lines 0 comments Download
M content/renderer/indexed_db_dispatcher.h View 1 2 3 chunks +8 lines, -0 lines 0 comments Download
M content/renderer/indexed_db_dispatcher.cc View 1 4 chunks +34 lines, -0 lines 0 comments Download
M content/renderer/renderer_webidbfactory_impl.h View 1 1 chunk +9 lines, -0 lines 0 comments Download
M content/renderer/renderer_webidbfactory_impl.cc View 1 2 3 1 chunk +13 lines, -0 lines 0 comments Download

Messages

Total messages: 24 (0 generated)
jsbell
Corresponding WebKit patch pending.
7 years, 10 months ago (2011-09-13 23:31:41 UTC) #1
jsbell
WebKit patch: https://bugs.webkit.org/show_bug.cgi?id=68037
7 years, 10 months ago (2011-09-13 23:47:25 UTC) #2
dgrogan
Oops, the sync v async comment should have been over here. http://codereview.chromium.org/7889024/diff/1/content/browser/in_process_webkit/indexed_db_dispatcher_host.cc File content/browser/in_process_webkit/indexed_db_dispatcher_host.cc (right): ...
7 years, 10 months ago (2011-09-14 01:25:19 UTC) #3
jsbell
Rewritten to be async, usage is: var req = indexedDB.getDatabaseNames(); // req.result will be DOMStringList ...
7 years, 10 months ago (2011-09-15 18:22:45 UTC) #4
jsbell
On 2011/09/14 01:25:19, dgrogan wrote: http://codereview.chromium.org/7889024/diff/1/content/browser/in_process_webkit/indexed_db_dispatcher_host.cc#newcode223 > content/browser/in_process_webkit/indexed_db_dispatcher_host.cc:223: static > const uint64 kIncognitoSqliteBackendQuota = 50 ...
7 years, 10 months ago (2011-09-15 18:24:02 UTC) #5
dgrogan
On 2011/09/15 18:22:45, jsbell wrote: > Rewritten to be async, usage is: > > var ...
7 years, 10 months ago (2011-09-15 21:25:39 UTC) #6
dgrogan
http://codereview.chromium.org/7889024/diff/6001/content/renderer/indexed_db_dispatcher.h File content/renderer/indexed_db_dispatcher.h (right): http://codereview.chromium.org/7889024/diff/6001/content/renderer/indexed_db_dispatcher.h#newcode25 content/renderer/indexed_db_dispatcher.h:25: class WebDOMStringList; nit: put this in alpha order
7 years, 10 months ago (2011-09-15 21:25:56 UTC) #7
jsbell
Can you look at the latest patch? Includes nit fixes and removes extraneous #includes
7 years, 10 months ago (2011-09-22 19:59:20 UTC) #8
dgrogan
On 2011/09/22 19:59:20, jsbell wrote: > Can you look at the latest patch? Includes nit ...
7 years, 10 months ago (2011-09-22 20:00:52 UTC) #9
commit-bot: I haz the power
CQ is trying tha patch. Follow status at https://chromium-status.appspot.com/cq/jsbell@chromium.org/7889024/16001
7 years, 10 months ago (2011-09-23 20:51:58 UTC) #10
commit-bot: I haz the power
Presubmit check for 7889024-16001 failed and returned exit status 1. Running presubmit commit checks ...
7 years, 10 months ago (2011-09-23 20:52:04 UTC) #11
jsbell
jam@chromium.org, can you approve as an OWNER of content/renderer and content/common ?
7 years, 10 months ago (2011-09-23 21:25:08 UTC) #12
jam
lgtm
7 years, 10 months ago (2011-09-23 22:56:57 UTC) #13
commit-bot: I haz the power
CQ is trying tha patch. Follow status at https://chromium-status.appspot.com/cq/jsbell@chromium.org/7889024/16001
7 years, 10 months ago (2011-09-23 23:31:25 UTC) #14
commit-bot: I haz the power
Try job failure for 7889024-16001 (retry) on linux_clang for steps "update_clang, compile" (clobber build). It's ...
7 years, 10 months ago (2011-09-23 23:56:58 UTC) #15
Marc-Antoine Ruel (Google)
Nico?? Le 23 septembre 2011 19:56, <commit-bot@chromium.org> a écrit : > Try job failure for ...
7 years, 10 months ago (2011-09-24 00:49:42 UTC) #16
(unused - use chromium)
/me shakes fist at posix drover --revert 102494 is running, sorry On Fri, Sep 23, ...
7 years, 10 months ago (2011-09-24 00:51:34 UTC) #17
(unused - use chromium)
actually, drover doesn't work for tools, this laptop has no tools checkout and no vpn. ...
7 years, 10 months ago (2011-09-24 00:52:25 UTC) #18
(unused - use chromium)
(this was landed through CQ btw – does a red update_clang step not stop CQ?) ...
7 years, 10 months ago (2011-09-24 00:54:35 UTC) #19
dgrogan
On 2011/09/24 00:54:35, thakis wrote: > (this was landed through CQ btw –&nbsp;does a red ...
7 years, 10 months ago (2011-09-24 00:58:40 UTC) #20
(unused - use chromium)
Sorry, wrong change number. 102596 is the right one On Fri, Sep 23, 2011 at ...
7 years, 10 months ago (2011-09-24 01:08:07 UTC) #21
(unused - use chromium)
Reverted in r102631 On Fri, Sep 23, 2011 at 6:07 PM, Nico Weber <thakis@google.com> wrote: ...
7 years, 10 months ago (2011-09-24 01:09:14 UTC) #22
commit-bot: I haz the power
CQ is trying tha patch. Follow status at https://chromium-status.appspot.com/cq/jsbell@chromium.org/7889024/16001
7 years, 10 months ago (2011-09-26 14:54:33 UTC) #23
commit-bot: I haz the power
7 years, 10 months ago (2011-09-26 17:12:05 UTC) #24
Change committed as 102743

Powered by Google App Engine
This is Rietveld 408576698